data = load('dato_per_istogramma.dat');

figure; plot(data)
size(data)
min_data = min(data)
max_data = max(data)

figure; plot(data, ones(size(data)),'.')

INF  = -4;
SUP  = 4;
DELTA = 0.1; 
NUM_INT = (SUP-INF)/DELTA; % numero di intervalli
contatore = zeros(1,NUM_INT)  % inizializziamo il contatore;

for i = 1:size(data,2)    % per ogni dato
    for j = 1: NUM_INT  % per ogni intervallo 
        if data(i)>INF+(j-1)*DELTA && data(i)<INF+j*DELTA
            contatore(j) = contatore(j)+1;
        end
    end
end

VALORI = INF+DELTA/2 : DELTA : SUP-DELTA/2
figure
bar(VALORI, contatore)
